#
# spec file for package perl-IO-Stty (Version .02)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           perl-IO-Stty
Url:            http://search.cpan.org/search?module=IO::Stty
License:        Artistic License; GPL v2 or later
Group:          Development/Libraries/Perl
Requires:       perl = %{perl_version}
AutoReqProv:    on
Summary:        A Perl Module for Setting Terminal Parameters
Version:        .02
Release:        530.4
Source:         IO-Stty-%{version}.tar.gz
Patch:          IO-Stty-.02-correct_perl.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
IO::Stty is a Perl module for setting terminal parameters.



Authors:
--------
    Austin Schutz <tex@habit.com>

%debug_package
%prep
%setup -n IO-Stty-%{version}
%patch

%build
perl Makefile.PL
make
make test 

%install
#%define perl_sitelib %(eval "`perl -V:installsitelib`"; echo $installsitelib)
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
#install -d $RPM_BUILD_ROOT/%{perl_archlib}
#make PREFIX=$RPM_BUILD_ROOT/usr \
#     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
#     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
#     install
#install -d $RPM_BUILD_ROOT/var/adm/perl-modules
#cat $RPM_BUILD_ROOT/%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-IO-Stty
#cd $RPM_BUILD_ROOT/%{perl_sitearch}/auto/IO/Stty
#sed "s@$RPM_BUILD_ROOT@@g" < .packlist | sort -u > .packlist.tmp
#mv .packlist.tmp .packlist
#rm -f $RPM_BUILD_ROOT/%{perl_archlib}/perllocal.pod
#rm -f $RPM_BUILD_ROOT/%{perl_sitelib}/IO/stty.pl
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%files
%defattr(-,root,root)
%doc README stty.txt
%dir %{perl_vendorarch}/auto/IO
%{perl_vendorarch}/auto/IO/Stty
/%{perl_vendorlib}/IO
/var/adm/perl-modules/perl-IO-Stty

%changelog
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Fri Jul 18 2003 - mc@suse.de
- add vendorarch changes
- fix for correct perl interpreter
* Sun Jun 22 2003 - coolo@suse.de
- package directories
* Mon May 19 2003 - mc@suse.de
- removed unpackaged Files from RPM_BUILD_ROOT
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Thu Jun 21 2001 - mc@suse.de
- fixed the specfile. Used more RPM macros
* Thu Feb 08 2001 - mc@suse.de
- first package, v.02
